# 180709 - plot only 
setwd("~/Documents/UNI_und_VORLESUNGEN/14 Guelph/1 Primer Validation/1 Lab Work/2 gradient fusion primers")


data <- read.csv("canidates/223_tags_tab.csv", stringsAsFactors=F)
primer <- read.csv("../1 primer list/1 FUSION Primers/primers_180528.csv", stringsAsFactors=F)


ID <- sub(".*) ", "", data$ID)
ID2 <- match(ID, primer$Primer.name)

primer$sequence[24] <- gsub("I", "N", primer$sequence[24])


P5 <- "AATGATACGGCGACCACCGAGATCTACACTCTTTCCCTACACGACGCTCTTCCGATCT"
P7 <- "CAAGCAGAAGACGGCATACGAGATGTGACTGGAGTTCAGACGTGTGCTCTTCCGATCT"


tails <- c(rep(P7, 6), rep(P5, 12), rep(P7, 6))
tailsNAMES <- c(rep("P7", 6), rep("P5", 12), rep("P7", 6))


temp <- paste(tailsNAMES, " ", data$ID, "\t", tails, data$tag_only, primer$sequence[ID2], sep="")




cat(file="_1800709_primer_sequ.txt", temp, sep="\n")

# replace inosinne! (for ordering)


length <- nchar(paste(tails, data$tag_only, primer$sequence[ID2], sep=""))

# replace inosine
primer$sequence <- gsub("I", "/ideoxyI/", primer$sequence)

L <- rep("100nm", length(length))
L[length>90] <- "250nm"


temp <- paste(tailsNAMES, " ", data$ID, "\t", tails, data$tag_only, primer$sequence[ID2], "\t", L, "\t", "PAGE", sep="")

cat(file="_1800709_primer_ordering_file.txt", temp, sep="\n")


